org.apache.ignite.internal.visor.cache

## Class VisorCacheQueryMetrics

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheQueryMetrics

All Implemented Interfaces:
  Serializable

    public class VisorCacheQueryMetrics
    extends Object
    implements Serializable

Data transfer object for cache query metrics.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheQueryMetrics()`

### Method Summary

Methods
`double` `averageTime()`
`int` `executions()`
`int` `fails()`
`static VisorCacheQueryMetrics` `from(QueryMetrics m)`
`long` `maximumTime()`
`long` `minimumTime()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheQueryMetrics

    public VisorCacheQueryMetrics()

### Method Detail

#### from

    public static VisorCacheQueryMetrics from(QueryMetrics m)

Parameters:
  `m` - Cache query metrics.
Returns:
  Data transfer object for given cache metrics.

#### minimumTime

    public long minimumTime()

Returns:
  Minimum execution time of query.

#### maximumTime

    public long maximumTime()

Returns:
  Maximum execution time of query.

#### averageTime

    public double averageTime()

Returns:
  Average execution time of query.

#### executions

    public int executions()

Returns:
  Number of executions.

#### fails

    public int fails()

Returns:
  Total number of times a query execution failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015